<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_3e09962b663b985bf8c260ac2" . "e95edc0" => base64_decode("Y29yZ" . "Q=="));




class Util
{
    
    
    
    
    
    
    
    
    public static function fill(WritableConfig $config, string $key, $value)
    {
        static::fillMany($config, [$key => $value]);
    }
    
    
    
    
    
    
    
    public static function fillMany(WritableConfig $config, array $values)
    {
        foreach ($values as $key => $value) {
            if (!$config->has($key)) {
                $config->set($key, $value);
            }
        }
    }
    
    
    
    
    
    
    
    public static function isCoreConfig(string $name) : bool
    {
        return $name === $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3e09962" . "b663b985" . "bf8c260a" . "c2e95edc" . "0"];
    }
}